> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get closed positions for a user

> Returns closed positions for a user.



## OpenAPI

````yaml openapi/polymarket-data.json GET /apis/v1/polymarket/closed-positions
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Data
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/activity
    - /apis/v1/polymarket/closed-positions
    - /apis/v1/polymarket/holders
    - /apis/v1/polymarket/live-volume
    - /apis/v1/polymarket/oi
    - /apis/v1/polymarket/positions
    - /apis/v1/polymarket/traded
    - /apis/v1/polymarket/v1/accounting/snapshot
    - /apis/v1/polymarket/v1/builders/leaderboard
    - /apis/v1/polymarket/v1/builders/volume
    - /apis/v1/polymarket/v1/leaderboard
    - /apis/v1/polymarket/v1/market-positions
    - /apis/v1/polymarket/value
  x-aisa-document:
    facts_hash: feb7e7e799d9177ec0f8882f97e02989b98ffb3fbe1ccec4889e76a0a2aa653d
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:74a76870f8ab0c802f330a8dabec1556aae0a5e3ff3735553eb70c60d5871dbd
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-data
  x-aisa-catalogs:
    polymarket-data:
      title: Polymarket Data
      description: ''
      x-aisa-document:
        facts_hash: feb7e7e799d9177ec0f8882f97e02989b98ffb3fbe1ccec4889e76a0a2aa653d
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/closed-positions:
    get:
      tags:
        - default
      summary: Get closed positions for a user
      description: Returns closed positions for a user.
      operationId: any_polymarket_data_apis_v1_polymarket_closed_positions
      parameters:
        - in: query
          name: eventId
          style: form
          explode: false
          schema:
            type: array
            items:
              type: integer
              minimum: 1
          description: >-
            The event id of the event in question. Supports multiple csv
            separated values. Returns positions for all markets for those event
            ids. Cannot be used with the market param.
        - in: query
          name: limit
          schema:
            type: integer
            default: 10
            minimum: 0
            maximum: 50
          description: The max number of positions to return
        - in: query
          name: market
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
              description: 0x-prefixed 64-hex string
              pattern: ^0x[a-fA-F0-9]{64}$
              example: >-
                0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917
          description: >-
            The conditionId of the market in question. Supports multiple csv
            separated values. Cannot be used with the eventId param.
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
            minimum: 0
            maximum: 100000
          description: The starting index for pagination
        - in: query
          name: sortBy
          schema:
            type: string
            enum:
              - REALIZEDPNL
              - TITLE
              - PRICE
              - AVGPRICE
              - TIMESTAMP
            default: REALIZEDPNL
          description: The sort criteria
        - in: query
          name: sortDirection
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
          description: The sort direction
        - in: query
          name: title
          schema:
            type: string
            maxLength: 100
          description: Filter by market title
        - in: query
          name: user
          required: true
          schema:
            type: string
            description: User Profile Address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
          description: The address of the user in question
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response65D835437A58_ClosedPosition'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response65D835437A58_ClosedPosition:
      type: object
      properties:
        proxyWallet:
          $ref: '#/components/schemas/Response65D835437A58_Address'
        asset:
          type: string
        conditionId:
          $ref: '#/components/schemas/Response65D835437A58_Hash64'
        avgPrice:
          type: number
        totalBought:
          type: number
        realizedPnl:
          type: number
        curPrice:
          type: number
        timestamp:
          type: integer
          format: int64
        title:
          type: string
        slug:
          type: string
        icon:
          type: string
        eventSlug:
          type: string
        outcome:
          type: string
        outcomeIndex:
          type: integer
        oppositeOutcome:
          type: string
        oppositeAsset:
          type: string
        endDate:
          type: string
    Response65D835437A58_Address:
      type: string
      description: User Profile Address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x56687bf447db6ffa42ffe2204a05edaa20f55839'
    Response65D835437A58_Hash64:
      type: string
      description: 0x-prefixed 64-hex string
      pattern: ^0x[a-fA-F0-9]{64}$
      example: '0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.